using System;
#if WASM
   using CommonHelpers.WASM;
   using BookRegistry.Client.DB;
namespace BookRegistry.Client {
#else // !WASM:
   using CommonHelpers;
   using BookRegistry.Server.DB;
namespace BookRegistry.Server {
#endif // !WASM
//==================================================================================================
/*
public class ..._Response: GeneralApiResponse
{
   public   {
      get => Get( N );
      set => N = value; } internal ? N;

   public   {
      get => Value( N );
      set => N = value; } internal ? N;

   public ?  { get; set; }

   public ..._Response() {}
   public ..._Response(GeneralApiResponse simpleResponse)
   : base( simpleResponse ) {} // This constructor may be used in automatic token(s) refresh.
#if SERVER
   public ..._Response(HSPCommandResult spResult)
   : base( spResult ) {}
#endif // SERVER
} // ..._Response
*/
//==================================================================================================
/*
public class ..._Args: ApiArgumentsBase
{
   public   {
      get => Get( N );
      set => N = value; } internal ? N;

   public   {
      get => Value( N );
      set => N = value; } internal ? N;

   public ?  { get; set; }
} // ..._Args
*/
//==================================================================================================
} // BookRegistry.Client/Server
